Summary: Milter filter for renaming dangerous MIME attachments.
Name:    cvgfilter
Version: 2.07
Release: 2.%{mysig}
Source0: cvgfilter.c
Source1: cvgfilter-Makefile
Source2: cvgfilter-init.sh
Source3: cvgfilter-README.RedHat
Source4: cvgfilter-sysconfig
Patch9:  cvgfilter-rpmcfg.patch
URL:     http://aeschi.ch.eu.org/milter/
License: GPL
Group: System Environment/Daemons
BuildRoot: %{_tmppath}/vbsfilter
Requires: sendmail >= 8.11.6
BuildRequires: sendmail-devel gcc make patch

%description
This filter utilize Milter API to reject email messages with dangerous
attachment (vbs, exe, scr and others). For more info about dangerous
extensions see the MS article at:

http://support.microsoft.com/support/kb/articles/Q262/6/17.ASP

The filter is compiled to reject those mail messages so the transfer is
aborted in the middle of the SMTP session. The sender is informed via
standard SMTP error messages as usual.

For more info read the README.RedHat file. There is also a text about
configuring this filter.

%prep
%setup -T -c
install -m 664 %{S:0} .
install -m 664 %{S:1} Makefile
install -m 664 %{S:3} README.RedHat
# change configuration for this RPM package
%patch9 -p1 -b .rpmcfg

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall"

%install
mkdir -p $RPM_BUILD_ROOT/%{_initrddir} \
         $RPM_BUILD_ROOT/%{_usr}/sbin \
         $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
install -m 755 %{S:2} $RPM_BUILD_ROOT/%{_initrddir}/cvgfilter
install -m 755 cvgfilter $RPM_BUILD_ROOT/%{_usr}/sbin/cvgfilter
install -m 644 %{S:4} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/cvgfilter

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add cvgfilter

%preun
if [ "$1" == "0" ]; then
    /sbin/service cvgfilter stop &>/dev/null
    /sbin/chkconfig --del cvgfilter
fi

%postun
/sbin/service cvgfilter condrestart &>/dev/null || :

%files
%doc README.RedHat
%defattr(0755,root,root)
%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/cvgfilter
%config(noreplace) %attr(0644,root,root) /etc/sysconfig/cvgfilter
%{_usr}/sbin/cvgfilter

%changelog
* Tue Jul 05 2005 Milan Kerslager <kerslage@linux.cz> 2.07-2.ker.rhel4
- use /etc/sysconfig/cvgfilter

* Fri Mar 04 2005 Milan Kerslager <kerslage@linux.cz> 2.07-1.ker.rhel4
- updated to the latest version
- rebuild for RHEL4

* Thu Jun 03 2004 Milan Kerslager <kerslage@linux.cz> 2.03-1.ker.rhel3
- updated to latest version
- like previous version:
  - do not block mpg, mpe, wav, mp3, mpeg
  - do not add disclaimer
  - do not block by counting spamwords (Spamassassin or DSPAM is better solution)

* Sun Dec 14 2003 Milan Kerslager <kerslage@linux.cz> 1.12-2_WB
- umask for secure socket creation when run by init script

* Wed May 14 2003 Milan Kerslager <kerslage@linux.cz> 1.12-1.9
- initial version
